apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubemacpool.io/transaction-timestamp: "2025-04-11T04:19:02.954585158Z"
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
  creationTimestamp: "2025-04-11T04:19:02Z"
  finalizers:
  - kubevirt.io/virtualMachineControllerFinalize
  generation: 2
  labels:
    migration: dc890e5a-116c-4759-b264-93f5f8dc9f35
    plan: e620634b-4033-4421-939a-19482df87c31
    vmID: vm-26
  name: mtv-function-win2022
  namespace: mtv-test
  resourceVersion: "4313803"
  uid: 4a292a74-65da-424d-ac37-402af68911eb
spec:
  preference:
    kind: virtualmachineclusterpreference
    name: windows.2k22
    revisionName: mtv-function-win2022-windows.2k22-v1beta1-f73ec4c8-e100-49c9-a958-5688756ec424-1
  runStrategy: Always
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: mtv-function-win2022
    spec:
      architecture: amd64
      domain:
        clock:
          timezone: UTC
        cpu:
          cores: 2
          sockets: 1
        devices:
          disks:
          - bootOrder: 1
            disk:
              bus: virtio
            name: vol-0
          - disk:
              bus: virtio
            name: vol-1
          inputs:
          - bus: virtio
            name: tablet
            type: tablet
          interfaces:
          - macAddress: 00:50:56:9c:f5:1f
            masquerade: {}
            model: virtio
            name: net-0
        firmware:
          bootloader:
            bios: {}
          serial: 421ca05f-996d-c188-64fa-547e8095b4a1
        machine:
          type: pc-q35-rhel9.4.0
        memory:
          guest: 4Gi
        resources: {}
      networks:
      - name: net-0
        pod: {}
      volumes:
      - name: vol-0
        persistentVolumeClaim:
          claimName: warm-win2022-vm-26-kqnwg
      - name: vol-1
        persistentVolumeClaim:
          claimName: warm-win2022-vm-26-rh4v7
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2025-04-11T04:19:20Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: null
    message: 'HyperV Reenlightenment VMIs cannot migrate when TSC Frequency is not
      exposed on the cluster: guest timers might be inconsistent'
    reason: NoTSCFrequencyNotLiveMigratable
    status: "False"
    type: LiveMigratable
  - lastProbeTime: null
    lastTransitionTime: null
    message: 'NoTSCFrequencyNotLiveMigratable: HyperV Reenlightenment VMIs cannot
      migrate when TSC Frequency is not exposed on the cluster: guest timers might
      be inconsistent'
    reason: NotMigratable
    status: "False"
    type: StorageLiveMigratable
  - lastProbeTime: "2025-04-11T04:24:51Z"
    lastTransitionTime: null
    status: "True"
    type: AgentConnected
  created: true
  desiredGeneration: 2
  observedGeneration: 2
  printableStatus: Running
  ready: true
  runStrategy: Always
  volumeSnapshotStatuses:
  - enabled: false
    name: vol-0
    reason: 'No VolumeSnapshotClass: Volume snapshots are not configured for this
      StorageClass [nfs-csi] [vol-0]'
  - enabled: false
    name: vol-1
    reason: 'No VolumeSnapshotClass: Volume snapshots are not configured for this
      StorageClass [nfs-csi] [vol-1]'
